/* signal.h (libExt + gcc)
   $Id: stddef.h,v 1.2 2003/02/05 23:51:06 neis Exp $ */
/* subset of the EMX one */

#ifndef _STDDEF_H
#define _STDDEF_H

#if defined (__cplusplus)
extern "C" {
#endif

#if !defined (_PTRDIFF_T)
#define _PTRDIFF_T
typedef long ptrdiff_t;
#endif

#if !defined (_SIZE_T)
#define _SIZE_T
typedef unsigned long size_t;
#endif

#if !defined (_WCHAR_T) && !defined (__cplusplus)
#define _WCHAR_T
typedef unsigned short wchar_t;
#endif

#if !defined (NULL)
#if defined (__cplusplus)
#define NULL 0
#else
#define NULL ((void *)0)
#endif
#endif

/* The following is needed by libc/time/itimer.c !? */
#if (!defined (__STRICT_ANSI__) && !defined (_POSIX_SOURCE)) \
    || defined (_WITH_UNDERSCORE)

unsigned *__threadid (void);
#define _threadid (__threadid ())

#endif

#undef offsetof
#define offsetof(s,m) ((size_t)(&(((s *)0)->m)))

#if defined (__cplusplus)
}
#endif

#endif /* not _STDDEF_H */
